EDIT - bug #6855

feature request # 6169 (Closed): Algae Registry web-application

TeamOrPersonField allows adding Persons and Team for users with unsufficient authorities

07/25/2017 11:57 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

Related issues:
Related to EDIT - bug #7053: TeamOrPersonField disabled state inconsistent Closed

Associated revisions

Revision af113¢74 - 07/25/2017 12:42 PM - Andreas Kohlbecker

ref #6855 1ICdmPermissionEvaluator method which tests by CdmBase type and does not require an instance

Revision b4d87{3f - 07/25/2017 12:44 PM - Andreas Kohlbecker

fix #6855 disabling add Team, Person buttons when privileges insufficient

® also extending UserHelper class

History

#1 - 07/25/2017 12:44 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|b4d87{3f377474f268e6fca33514182f084232ab.

#2 - 07/25/2017 12:44 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#3 - 11/03/2017 05:41 PM - Andreas Kohlbecker
- Related to bug #7053: TeamOrPersonField disabled state inconsistent added
